var a1 = document.getElementById(1);
var a2 = document.getElementById(2);
var a3 = document.getElementById(3);
var a4 = document.getElementById(4);
var a5 = document.getElementById(5);
var a6 = document.getElementById(6);
var a7 = document.getElementById(7);
var a8 = document.getElementById(8);
var a9 = document.getElementById(9);

var a10 = document.getElementById(10);
var a11 = document.getElementById(11);
var a12 = document.getElementById(12);
var a13 = document.getElementById(13);
var a14 = document.getElementById(14);
var a15 = document.getElementById(15);
var a16 = document.getElementById(16);
var a17 = document.getElementById(17);
var a18 = document.getElementById(18);
var a19 = document.getElementById(19);
var a20 = document.getElementById(20);

var a21 = document.getElementById(21);
var a22 = document.getElementById(22);
var a23 = document.getElementById(23);
var a24 = document.getElementById(24);
var a25 = document.getElementById(25);
var a26 = document.getElementById(26);
var a27 = document.getElementById(27);
var a28 = document.getElementById(28);
var a29 = document.getElementById(29);

var a30 = document.getElementById(30);
var a31 = document.getElementById(31);
var a32 = document.getElementById(32);
var a33 = document.getElementById(33);
var a34 = document.getElementById(34);
var a35 = document.getElementById(35);
var a36 = document.getElementById(36);
var a37 = document.getElementById(37);
var a38 = document.getElementById(38);
var a39 = document.getElementById(39);
var a40 = document.getElementById(40);
var a41 = document.getElementById(41);
var a42 = document.getElementById(42);

function flashpath()
{
setTimeout(function(){a2.style.backgroundColor="#FF7519"; a8.style.backgroundColor="#FF7519"; a14.style.backgroundColor="#FF7519"; a15.style.backgroundColor="#FF7519"; a16.style.backgroundColor="#FF7519"; a22.style.backgroundColor="#FF7519"; a23.style.backgroundColor="#FF7519"; a29.style.backgroundColor="#FF7519"; a35.style.backgroundColor="#FF7519"; a34.style.backgroundColor="#FF7519"; a33.style.backgroundColor="#FF7519"; a32.style.backgroundColor="#FF7519"; a31.style.backgroundColor="#FF7519"; a37.style.backgroundColor="#FF7519"},1500);

setTimeout(function(){a2.style.backgroundColor="#52CCCC"; a8.style.backgroundColor="#52CCCC"; a14.style.backgroundColor="#52CCCC"; a15.style.backgroundColor="#52CCCC"; a16.style.backgroundColor="#52CCCC"; a22.style.backgroundColor="#52CCCC"; a23.style.backgroundColor="#52CCCC"; a29.style.backgroundColor="#52CCCC"; a35.style.backgroundColor="#52CCCC"; a34.style.backgroundColor="#52CCCC"; a33.style.backgroundColor="#52CCCC"; a32.style.backgroundColor="#52CCCC"; a31.style.backgroundColor="#52CCCC"; a37.style.backgroundColor="#52CCCC"},1900);
}

function showpath(num)
{
square = num
correctpath = document.getElementById(num);
if (square == 2)
{
correctpath.style.backgroundImage="url('img/icepath.half.top.png')";
x=8
}
else if (square == x)
{
document.getElementById(2).style.backgroundImage="url('img/icepath.open.png')";
correctpath.style.backgroundImage="url('img/icepath.half.top.png')";
z=14
}
else if (square == z)
{
document.getElementById(8).style.backgroundImage="url('img/icepath.open.png')";
correctpath.style.backgroundImage="url('img/icepath.half.top.png')";
w=15
}
else if (square == w)
{
document.getElementById(14).style.backgroundImage="url('img/icepath.right.png')";
correctpath.style.backgroundImage="url('img/icepath.half.left.png')";
t=16
}
else if (square == t)
{
document.getElementById(15).style.backgroundImage="url('img/icepath.side.png')";
correctpath.style.backgroundImage="url('img/icepath.half.left.png')";
m=22
}
else if (square == m)
{
document.getElementById(16).style.backgroundImage="url('img/icepath.leftdown.png')";
correctpath.style.backgroundImage="url('img/icepath.half.top.png')";
n=23
}
else if (square == n)
{
document.getElementById(22).style.backgroundImage="url('img/icepath.right.png')";
correctpath.style.backgroundImage="url('img/icepath.half.left.png')";
p=29
}
else if (square == p)
{
document.getElementById(23).style.backgroundImage="url('img/icepath.leftdown.png')";
correctpath.style.backgroundImage="url('img/icepath.half.top.png')";
u=35
}
else if (square == u)
{
document.getElementById(29).style.backgroundImage="url('img/icepath.open.png')";
correctpath.style.backgroundImage="url('img/icepath.half.top.png')";
k=34
}
else if (square == k)
{
document.getElementById(35).style.backgroundImage="url('img/icepath.left.png')";
correctpath.style.backgroundImage="url('img/icepath.half.right.png')";
b=33
}
else if (square == b)
{
document.getElementById(34).style.backgroundImage="url('img/icepath.side.png')";
correctpath.style.backgroundImage="url('img/icepath.half.right.png')";
y=32
}
else if (square == y)
{
document.getElementById(33).style.backgroundImage="url('img/icepath.side.png')";
correctpath.style.backgroundImage="url('img/icepath.half.right.png')";
o=31
}
else if (square == o)
{
document.getElementById(32).style.backgroundImage="url('img/icepath.side.png')";
correctpath.style.backgroundImage="url('img/icepath.half.right.png')";
d=37
}
else if (square == d)
{
document.getElementById(31).style.backgroundImage="url('img/icepath.rightdown.png')";
correctpath.style.backgroundImage="url('img/icepath.half.top.png')";
window.location.assign("level.complete16.html")
}
else
{
correctpath.style.backgroundColor="#A00000"
window.location.assign("level.failed.html");
}
}

function gameover()
{
correctpath.style.backgroundColor="#A00000"
window.location.assign("level.failed.html");
}
